<div
	class="rich-text-component"
	ng-class="{ fullscreen: vm.isFullscreen() }"
>

	<ul class="rich-text-toolbar" id="{{vm.getUuid()}}-toolbar">
		<li
			class="rich-text-toolbar-item"
			ng-repeat="option in vm.getToolbarOptions() track by option.name"
			ng-switch="option.type"
			ng-class="option.classes"
			zs-tooltip="{{option.label}}"
			zs-tooltip-options="{ attachment: 'bottom center', target: 'top center', offset: { x: 0, y: -10 } }"
		>

			<button
				class="rich-text-toolbar-button"
				ng-switch-default
				ng-class="option.buttonClasses"
			>
				<zs-icon icon-type="{{::option.icon}}"></zs-icon>
			</button>

			<button
				class="rich-text-toolbar-button"
				ng-switch-when="click"
				ng-click="option.click($event)"
				ng-class="option.buttonClasses"
				value="{{::option.value}}"
			>
				<zs-icon icon-type="{{::option.icon}}"></zs-icon>
			</button>

			<zs-dropdown-menu
				class="rich-text-toolbar-dropdown compact"
				data-options="option.data.options"
				position-options="{ autosize: false, attachment: 'left top', target: 'left bottom', offset: { x: 0, y: 0 } }"
				button-icon="{{::option.icon}}"
				ng-switch-when="dropdown"
				button-style="{ 'rich-text-toolbar-button': true }"
				is-fixed="true"
			>
			</zs-dropdown-menu>

		</li>
	</ul>

	<div
		class="rich-text-editor dummy"
		ng-if="!vm.isLoaded()"
	>
		<div
			class="dummy-editable"
			ng-bind-html="vm.getSanitizedHtml()"
			>
		</div>

		<zs-spinner is-loading="vm.isLoading()"></zs-spinner>

	</div>

	<div
		class="rich-text-editor"
		id="{{vm.getUuid()}}-editor"
		ng-show="vm.isLoaded()"
	>
	</div>

</div>
